Bug 475485 - Gnome screensaver crash locks up X windows
Gnome screensaver crash locks up X windows
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-09 08:34 EST by tony
Modified: 2015-01-14 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
crash report (309.94 KB, text/plain)
2008-12-09 08:34 EST, tony
no flags Details
crash report (284.59 KB, text/plain)
2009-02-10 16:18 EST, Jonathan Cormier
no flags Details

  None (edit)
Description tony 2008-12-09 08:34:32 EST
Created attachment 326309 [details]
crash report

Description of problem:
X is locking up when the gnome screensaver starts. The only way I can work around this is to restart X (<ctrl><alt><backspace>)

It also crashes when I try to edit the screensaver settings, but X doesn't lock up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Leave pc unattended. Wait to screensaver starts.
2. PC locked up. Crash report visible but unreachable. Reboot X to recover.
3. Also, using the following menu sequence: system, preferences, Look and Feel, Screensaver. Crash report appears but no lock up.
Actual results:
1. The bug reporter is on the screen, but can't be accessed because X is locked.
2. Via menus: can save the crash report. (Attached)

Expected results:
No X lockup.

Additional info:
Crash report attached.
Comment 1 tony 2008-12-12 02:16:57 EST
I've found the problem.

There seems to be a conflict with the old fglrx driver that was used in F9 before I upgraded the box.

After removing the module, which is not used in F10, the problem went away.
Comment 2 Jonathan Cormier 2009-02-10 16:15:50 EST
I have the same exact problem though I am using a fresh install of fedora 10.  I am using the rpmfusion's akmod-fglrx driver.  I can not find any other fglrx driver installed that might be conflicting using yum.
Comment 3 Jonathan Cormier 2009-02-10 16:18:27 EST
Created attachment 331470 [details]
crash report
Comment 4 Jonathan Cormier 2009-02-12 14:04:20 EST
Ok so the problem comes from having xinerama enabled in xorg.conf file.  After resetting my xorg file using system-config-display --reconfig.  Making sure that the utility picked the fglrx driver and restarting the xserver the screensaver stopped crashing.  Since xrandr doesn't detect my two monitors as seperate i used the command xrandr --output default --mode 2560x1024 to enable dual monitors.
Comment 5 Bug Zapper 2009-11-18 04:39:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-12-18 02:13:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.